package com.ozs.entity.response;

import lombok.Data;

/**
 * @author Administrator
 */
@Data
public class PreAlarmListResponse {

    /**
     * 预警目标点类型
     */
    private Integer targetType;
    /**
     * 预警级别
     */
    private Integer level;
    /**
     * 目标点离机车的距离
     */
    private Integer distance;
    /**
     * 预警内容
     */
    private String  content;

    /**
     * 前方相机/报警相机（实时播放流）
     */
    private String cameraStream;
    /**
     * 当前播放的相机编码
     */
    private String cameraCode;
    /**
     * 预警时间
     */
    private Long  preAlarmTime;
}
